Skip to content

List available calendars

GET
/api/calendar-connections/{connectionId}/calendars

After a calendar connection has been authorised via OAuth, this endpoint returns the calendars available on the connected account. Use the returned identifiers to set the calendarId field on the connection.

connectionId
required
string format: uuid

The unique identifier of the calendar connection.

Calendars available on the connected account.

List of calendars available on a connected calendar account.

object
items
required
Array<object>
object
calendarId
required

Calendar identifier from the provider.

string
Example
sales@nordic-parts.dk
name
required

Display name of the calendar.

string
Example
Sales Team
primary
required

Whether this is the primary calendar.

boolean

No calendar connection exists with the given ID.

Standard error response returned by all endpoints on failure.

object
error
required

A human-readable error message describing what went wrong.

string
Example
Conversation not found